TONETRAIN(1)

NAME
tonetrain - Analyse telephony signal tones for the libvpb programmable detector

SYNOPSIS
tonetrain [options] file

DESCRIPTION
The tonetrain utility analyses a recorded signal from file to determine the best tone detector parameters for recognising it.

OPTIONS
The following options are available:

-V  Be more verbose during execution.

  Input options

-w  Use wav file format for input. This is the default.

-v  Use vox file format for input.

-s sec
    Skip the first sec seconds of the recording. Useful if the tone does not begin cleanly at the start of the recording.

-t sec
    Train using sec seconds of the recording. Useful if only a portion of the recording actually contains the desired to to train for.

  Output options

-p  Output the results in plain english. This is the default.

-e  Output the results in a form suitable for use with the VPB_TONE enviroment variable for libvpb.

-c  Output the results as a C source code snippet.

SEE ALSO
tonedebug(1)

AUTHOR
Ron Lee, Ben Kramer, David Rowe, Voicetronix <support@voicetronix.com.au>

This manual page was written by Ron <ron@debian.org>, for the Debian project (but may be used by others).